%define VERSION 1.10
%define RELEASE 1

Summary: Canon CAPT Printer Driver for Linux v%{VERSION}
Name: cndrvcups-capt
Version: %{VERSION}
Release: %{RELEASE}
License: See the LICENSE*.txt file.
# Copyright: Copyright CANON INC. 2004-2005. All Rights Reserved.
Vendor: CANON INC.
Group: Applications/Publishing
Source0: cndrvcups-capt-%{version}-%{release}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires: cndrvcups-common >= %{version} gtk+ libxml2 
BuildRequires: cndrvcups-common >= %{version} libxml2-devel

%description
Canon CAPT Printer Driver for Linux. 
This CAPT printer driver provides printing functions for Canon LBP printers
operating under the CUPS (Common UNIX Printing System) environment.

%prep

%setup -q 

cd backend 
./autogen.sh --prefix=%{_prefix} --libdir=%{_libdir} --enable-progpath=%{_bindir}

cd ../pstocapt 
./autogen.sh --prefix=%{_prefix} --libdir=%{_libdir} --enable-progpath=%{_bindir}

cd ../ppd 
./autogen.sh --prefix=%{_prefix} 


cd ../statusui
if [ -x /usr/bin/automake-1.8 ] ; then
	./autogen.sh --libdir=%{_libdir}
elif [ -x /usr/bin/automake-1.6 ] ; then
	./autogen.sh --libdir=%{_libdir}
else
	./autogen-old.sh --libdir=%{_libdir}
fi

%build
make

%install
mkdir -pv ${RPM_BUILD_ROOT}%{_bindir}
mkdir -pv ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/local/bin
mkdir -pv ${RPM_BUILD_ROOT}%{_libdir}/cups/backend
mkdir -pv ${RPM_BUILD_ROOT}%{_libdir}/cups/filter
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/ja/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_datadir}/captmon
mkdir -pv ${RPM_BUILD_ROOT}%{_datadir}/captmon2
mkdir -pv ${RPM_BUILD_ROOT}%{_datadir}/cups/model
mkdir -pv ${RPM_BUILD_ROOT}%{_datadir}/doc/%{name}-%{version}/JP
mkdir -pv ${RPM_BUILD_ROOT}%{_datadir}/doc/%{name}-%{version}/EN
mkdir -pv ${RPM_BUILD_ROOT}/etc/init.d

make install DESTDIR=${RPM_BUILD_ROOT}

install -c -s -m 755 libs/captmon/captmon       ${RPM_BUILD_ROOT}%{_bindir}
install -c -s -m 755 libs/captmon2/captmon2      ${RPM_BUILD_ROOT}%{_bindir}
install -c -s -m 755 libs/captfilter    ${RPM_BUILD_ROOT}%{_bindir}
install -c -s -m 755 libs/captmon/msgtable.xml   ${RPM_BUILD_ROOT}%{_datadir}/captmon
install -c -s -m 755 libs/captmon2/msgtable2.xml  ${RPM_BUILD_ROOT}%{_datadir}/captmon2
install -c -s -m 755 libs/ccpd          ${RPM_BUILD_ROOT}%{_sbindir}
install -c -s -m 755 libs/ccpdadmin     ${RPM_BUILD_ROOT}%{_sbindir}
install -c -s -m 755 samples/ccpd.conf   ${RPM_BUILD_ROOT}/etc
install -c -s -m 755 samples/ccpd        ${RPM_BUILD_ROOT}/etc/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
if [ ! -d /var/ccpd ] ; then
	mkdir /var/ccpd
	mkfifo -m 600 /var/ccpd/fifo0
	mkfifo -m 600 /var/ccpd/fifo1
	mkfifo -m 600 /var/ccpd/fifo2
	mkfifo -m 600 /var/ccpd/fifo3
	mkfifo -m 600 /var/ccpd/fifo4
	mkfifo -m 600 /var/ccpd/fifo5
	mkfifo -m 600 /var/ccpd/fifo6
	mkfifo -m 600 /var/ccpd/fifo7

	chown lp.lp /var/ccpd/*
fi
if [ ! -d /var/captmon ] ; then
	mkdir /var/captmon
	chown lp.lp /var/captmon
fi

# /sbin/chkconfig --add ccpd

%preun
# if [ "$1" = 0 ] ; then
#	/sbin/service ccpd stop > /dev/null 2>&1
#	/sbin/chkconfig --del ccpd
# fi
# exit 0

%postun
if [ "$1" = 0 ] ; then
	rm -Rf /var/ccpd
	rm -Rf /var/captmon
# else
#	/sbin/service ccpd restart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)

%{_libdir}/cups/backend/ccp
%{_libdir}/cups/filter/pstocapt
%{_prefix}/local/bin/captstatusui
%{_prefix}/local/share/locale/ja/LC_MESSAGES/captstatusui.mo
%{_datadir}/cups/model/CNCUPS*CAPT*.PPD
%{_datadir}/captmon/msgtable.xml
%{_datadir}/captmon2/msgtable2.xml
%{_bindir}/captmon
%{_bindir}/captmon2
%{_bindir}/captfilter
%{_sbindir}/ccpd
%{_sbindir}/ccpdadmin

%config(noreplace) /etc/ccpd.conf
%config		/etc/init.d/ccpd

%doc README-capt_e-1.1*.txt
%doc README-capt_j-1.1*.txt
%doc LICENSE-capt-%{version}E.txt
%doc LICENSE-capt-%{version}J.txt
